Subject: Re: [PATCH v5] net: ip, diag -- Add diag interface for raw sockets

From: Cyrill Gorcunov <[email-masked]>
Date: Wed, 28 Sep 2016 15:21:57 +0300

On Wed, Sep 28, 2016 at 08:06:51AM -0400, Jamal Hadi Salim wrote:
> 
> I understood well your point;-> Maybe my response was not clear:
> _nobody should be fscking fondling pad fields_ setting them or
> otherwise.
> Maybe let these programs fail. I asked if you knew any such app which
> did anything with a pad field.

Nope, I don't know such programs. criu and iproute2 both zeroify
this strcuture explicitly by whole. But who knows where else this
structure used in userspace world.